This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 16422 - Many problems with XFree86 4.0
Many problems with XFree86 4.0
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-17 05:25 EDT by fleury
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-31 04:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description fleury 2000-08-17 05:25:09 EDT
Hi,

I recently installed a pinstripe distrib on my main computer, and I noticed
somes "non lethal bugs".

I've got a Banshee chip.

First, during the install stage, I tried to test my X configuration. I
tested it as usually, but when I went back to the install session, all the
buttons were freezed (except the "Test X configuration"'s button). The
mouse was still active.

Second, there is a very teasing bug with the Banshee server. Sometimes, I
can't say why, the screen becomes black for one or two second and light on
back (I heard the magnets of my screen working...).

I also noticed that the width and the height of the screen change randomely
some times (but less often than the blinks).

The only erro message that I found for the moment was :

Xlib: extension "XINERAMA" missing on display ":0.0"

Friendly
Comment 1 fleury 2000-08-30 03:47:11 EDT
Hi,
I find a solution to work around this bug.

I just had to load the module "tdfx" in the /etc/X11/XF86Config-4.

Load "tdfx"

It solve a lot a of bugs (as snow on the screen and the resets). Indeed, the X
server seems now to be accelerated. It is somewhat related with the bug #17029.

Why don't include, while the install stage, a script that can write an
/etc/X11/XF86Config-4 with the appropriate modules loaded (the card detection is
already done, so choosing the correct module would be easy)?

The problem with XINERAMA still holds!
Comment 2 fleury 2000-08-31 04:40:37 EDT
Ok,  don't take in account my last comment.

I'm just stupid. The driver is correctly set: Driver "tdfx" is here and adding :
Load "tdfx" change nothing.
All the bugs are remaining (I just have to test it better before posting next
time!).

Sorry.
Comment 3 Preston Brown 2000-09-11 14:59:21 EDT
you sound like you are overdriving your monitor.  You need to try a lower
refresh rate and/or resolution combination.
Comment 4 fleury 2000-09-19 03:41:47 EDT
I investigate this problem of screen unstability.

I noticed that this problem appears only in 1152x864. The other resolutions are
stable (640x400, 800x600, 1024x768,  1280x1024 ). I suppose that the frequency
of this mode is poorly done (but I didn't find how to tune it).

Note You need to log in before you can comment on or make changes to this bug.